Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.swing
Class JRViewer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      net.sf.jasperreports.swing.JRViewer

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, JRViewerListener

    public class JRViewer

extends javax.swing.JPanel
implements JRViewerListener

Version:
  $Id: JRViewer.java 3659 2010-03-31 10:20:49Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JLabel` | `lblStatus`
`protected javax.swing.JPanel` | `pnlStatus`
`protected JRViewerToolbar` | `tlbToolBar`
`static java.lang.String` | `VIEWER_RENDER_BUFFER_MAX_SIZE` Maximum size (in pixels) of a buffered image that would be used by `JRViewer` to render a report page.
`protected JRViewerController` | `viewerContext`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JRViewer(java.io.InputStream is, boolean isXML)` Creates new form JRViewer
`JRViewer(java.io.InputStream is, boolean isXML, java.util.Locale locale)` Creates new form JRViewer
`JRViewer(java.io.InputStream is, boolean isXML, java.util.Locale locale, java.util.ResourceBundle resBundle)` Creates new form JRViewer
`JRViewer(JasperPrint jrPrint)` Creates new form JRViewer
`JRViewer(JasperPrint jrPrint, java.util.Locale locale)` Creates new form JRViewer
`JRViewer(JasperPrint jrPrint, java.util.Locale locale, java.util.ResourceBundle resBundle)` Creates new form JRViewer
`JRViewer(java.lang.String fileName, boolean isXML)` Creates new form JRViewer
`JRViewer(java.lang.String fileName, boolean isXML, java.util.Locale locale)` Creates new form JRViewer
`JRViewer(java.lang.String fileName, boolean isXML, java.util.Locale locale, java.util.ResourceBundle resBundle)` Creates new form JRViewer

Method Summary
`void` | `clear()`
`protected JRViewerToolbar` | `createToolbar()`
`protected JRViewerPanel` | `createViewerPanel()`
`protected java.lang.String` | `getBundleString(java.lang.String key)`
`int` | `getPageIndex()`
`protected void` | `initViewerContext(java.util.Locale locale, java.util.ResourceBundle resBundle)`
`void` | `pageChanged()`
`void` | `setFitPageZoomRatio()`
`void` | `setFitWidthZoomRatio()`
`void` | `setZoomRatio(float zoomRatio)`
`void` | `viewerEvent(JRViewerEvent event)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VIEWER_RENDER_BUFFER_MAX_SIZE

    public static final java.lang.String VIEWER_RENDER_BUFFER_MAX_SIZE

  Maximum size (in pixels) of a buffered image that would be used by `JRViewer` to render a report page.

  If rendering a report page would require an image larger than this threshold (i.e. image width x image height > maximum size), the report page will be rendered directly on the viewer component.

  If this property is zero or negative, buffered images will never be user to render a report page. By default, this property is set to 0.

  See Also:
    Constant Field Values

### viewerContext

    protected JRViewerController viewerContext

### lblStatus

    protected javax.swing.JLabel lblStatus

### pnlStatus

    protected javax.swing.JPanel pnlStatus

### tlbToolBar

    protected JRViewerToolbar tlbToolBar

Constructor Detail

### JRViewer

    public JRViewer(java.lang.String fileName,
                    boolean isXML)
             throws JRException

  Creates new form JRViewer

  Throws:
    `JRException`

### JRViewer

    public JRViewer(java.io.InputStream is,
                    boolean isXML)
             throws JRException

  Creates new form JRViewer

  Throws:
    `JRException`

### JRViewer

    public JRViewer(JasperPrint jrPrint)

  Creates new form JRViewer

### JRViewer

    public JRViewer(java.lang.String fileName,
                    boolean isXML,
                    java.util.Locale locale)
             throws JRException

  Creates new form JRViewer

  Throws:
    `JRException`

### JRViewer

    public JRViewer(java.io.InputStream is,
                    boolean isXML,
                    java.util.Locale locale)
             throws JRException

  Creates new form JRViewer

  Throws:
    `JRException`

### JRViewer

    public JRViewer(JasperPrint jrPrint,
                    java.util.Locale locale)

  Creates new form JRViewer

### JRViewer

    public JRViewer(java.lang.String fileName,
                    boolean isXML,
                    java.util.Locale locale,
                    java.util.ResourceBundle resBundle)
             throws JRException

  Creates new form JRViewer

  Throws:
    `JRException`

### JRViewer

    public JRViewer(java.io.InputStream is,
                    boolean isXML,
                    java.util.Locale locale,
                    java.util.ResourceBundle resBundle)
             throws JRException

  Creates new form JRViewer

  Throws:
    `JRException`

### JRViewer

    public JRViewer(JasperPrint jrPrint,
                    java.util.Locale locale,
                    java.util.ResourceBundle resBundle)

  Creates new form JRViewer

Method Detail

### initViewerContext

    protected void initViewerContext(java.util.Locale locale,
                                     java.util.ResourceBundle resBundle)

### clear

    public void clear()

### getBundleString

    protected java.lang.String getBundleString(java.lang.String key)

### createToolbar

    protected JRViewerToolbar createToolbar()

### createViewerPanel

    protected JRViewerPanel createViewerPanel()

### setFitWidthZoomRatio

    public void setFitWidthZoomRatio()

### setFitPageZoomRatio

    public void setFitPageZoomRatio()

### getPageIndex

    public int getPageIndex()

### setZoomRatio

    public void setZoomRatio(float zoomRatio)

### pageChanged

    public void pageChanged()

### viewerEvent

    public void viewerEvent(JRViewerEvent event)

  Specified by:
    `viewerEvent` in interface `JRViewerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com